## android-cuttlefish 1.0.1

=== debian/changelog ===
android-cuttlefish (1.0.1-0~exp2) experimental; urgency=low

  * Add debian/gbp.conf
  * debian/control: add Vcs-Browser and Vcs-Git
  * debian/control: Add Homepage field.
  * Add debian/gitlab-ci.yml
  * debian: gitlab-ci: disable i386 build.
  * debian: control: Remove depends on cuttlefish-user
  * debian: control: add openssh-server to cuttlefish-integration depends.
  * cuttlefish-integraion: install sshd config to /etc/ssh/sshd_config.d
  * debian/rules: fix the path of bazel cache
  * debian/rules: make cache directory and clean it up in clean target.
  * Fix some lintian warnings.
  * Add debian/watch to track the upstream version.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 18 Feb 2025 06:21:37 +0800

android-cuttlefish (1.0.1-0~exp1) experimental; urgency=low

  * Initial release. (Closes: #1093737)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 22 Jan 2025 23:06:11 +0800
