=== debian/control ===
Source: android-cuttlefish
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Section: misc
Priority: optional
Build-Depends: android-libboringssl-dev,
               bazel-bootstrap,
               config-package-dev,
               debhelper-compat (= 13),
               git,
               libcurl4-openssl-dev,
               libfmt-dev,
               libgflags-dev,
               libgoogle-glog-dev,
               libgtest-dev,
               libjsoncpp-dev,
               libncurses-dev,
               libprotobuf-c-dev,
               libprotobuf-dev,
               libssl-dev,
               libtinyxml2-dev,
               libxml2-dev,
               libz3-dev,
               pkgconf,
               protobuf-compiler,
               uuid-dev,
               zlib1g-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/google/android-cuttlefish
Vcs-Browser: https://salsa.debian.org/debian/android-cuttlefish
Vcs-Git: https://salsa.debian.org/debian/android-cuttlefish.git

Package: cuttlefish-base
Architecture: any
Depends: adduser,
         binfmt-support [arm64],
         bridge-utils,
         curl,
         dnsmasq-base,
         e2fsprogs,
         ebtables-legacy | ebtables,
         f2fs-tools,
         grub-efi-arm64-bin [arm64],
         grub-efi-ia32-bin [!arm64],
         iproute2,
         iptables,
         libarchive-tools | bsdtar,
         net-tools,
         openssl,
         python3,
         qemu-user-static [arm64],
         sysvinit-utils (>= 3.06) | lsb-base,
         util-linux (>= 2.38.1),
         xdg-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: cuttlefish-common (<= 0.9.24)
Description: Cuttlefish Android Virtual Device companion package
 Contains set of tools and binaries required to boot up and manage
 Cuttlefish Android Virtual Device that are used in all deployments.

Package: cuttlefish-common
Architecture: any
Depends: cuttlefish-base, ${misc:Depends}, ${shlibs:Depends}
Description: Cuttlefish Android Virtual Device companion package (meta-package)
 Metapackage ensuring all packages needed to run and interact with
 Cuttlefish device are installed.

Package: cuttlefish-integration
Architecture: any
Depends: cuttlefish-base,
         openssh-server,
         qemu-system-arm (>= 2.8.0),
         qemu-system-misc (>= 2.8.0),
         qemu-system-x86 (>= 2.8.0),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: ${diverted-files}
Provides: ${diverted-files}
Description: Utilities for Android cuttlefish devices in the cloud
 Configuration and utilities for Android cuttlefish devices running on
 Google Compute Engine. Not intended for use on developer machines.
